> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beltic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record an Audit Event



## OpenAPI

````yaml POST /v1/audit/events
openapi: 3.1.0
info:
  title: Beltic Credentials API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/audit/events:
    post:
      tags:
        - Audit
      summary: >-
        Record a credential presentation event (e.g. credential.presented to
        Stripe)
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                event_type:
                  type: string
                  enum:
                    - credential.presented
                credential_id:
                  type: string
                  minLength: 1
                external_verifier_id:
                  type: string
                  minLength: 1
                external_transaction_ref:
                  type: string
                external_session_ref:
                  type: string
                presented_claims:
                  type: array
                  items:
                    type: string
                correlation_id:
                  type: string
                ucp_checkout_id:
                  type: string
              required:
                - event_type
                - credential_id
                - external_verifier_id
      responses:
        '201':
          description: Audit event recorded
          content:
            application/json:
              schema:
                type: object
                properties:
                  recorded:
                    type: boolean
                required:
                  - recorded

````